%global momorel 1

Name: libgcrypt
Version: 1.4.4
Release: %{momorel}m%{?dist}
URL: http://www.gnupg.org/
Source0: ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-%{version}.tar.bz2
NoSource: 0
License: LGPLv2+
Summary: Cryptographic library
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Group: System Environment/Libraries
Requires: libgpg-error
BuildPreReq: libgpg-error-devel >= 1.5-2m

%package devel
Summary: Development files for the %{name} package.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libgpg-error-devel

%description
Libgcrypt is a general purpose cryptographic library
based on the code from GNU Privacy Guard.  It provides functions for all
cryptograhic building blocks: symmetric ciphers
(AES,DES,Blowfish,CAST5,Twofish,Arcfour), hash algorithms (MD4, MD5,
RIPE-MD160, SHA-1, TIGER-192), MACs (HMAC for all hash algorithms),
public key algorithms (RSA, ElGamal, DSA), large integer functions,
random numbers and a lot of supporting functions.

%description devel
Libgcrypt is a general purpose cryptographic library
based on the code from GNU Privacy Guard.
This package contains files needed to develop
applications using libgcrypt.

%prep
%setup -q

%configure --enable-static --enable-noexecstack --program-prefix=""
make

%check
make check

%install
rm -fr %{buildroot}
%makeinstall

# Change /usr/lib64 back to /usr/lib.  This saves us from having to patch the
# script to "know" that -L/usr/lib64 should be suppressed, and also removes
# a file conflict between 32- and 64-bit versions of this package.
sed -i -e 's,^libdir="/usr/lib.*"$,libdir="/usr/lib",g' $RPM_BUILD_ROOT/%{_bindir}/libgcrypt-config

rm -f ${RPM_BUILD_ROOT}/%{_infodir}/dir ${RPM_BUILD_ROOT}/%{_libdir}/*.la
/sbin/ldconfig -n $RPM_BUILD_ROOT/%{_libdir}

# Relocate the shared libraries to /%{_lib}.
mkdir -p $RPM_BUILD_ROOT/%{_lib}
for shlib in $RPM_BUILD_ROOT/%{_libdir}/*.so* ; do
       if test -L "$shlib" ; then
               rm "$shlib"
       else
               mv "$shlib" $RPM_BUILD_ROOT/%{_lib}/
       fi
done

# Figure out where /%{_lib} is relative to %{_libdir}.
touch $RPM_BUILD_ROOT/root_marker
relroot=..
while ! test -f $RPM_BUILD_ROOT/%{_libdir}/$relroot/root_marker ; do
       relroot=$relroot/..
done

# Overwrite development symlinks.
pushd $RPM_BUILD_ROOT/%{_libdir}
for shlib in $relroot/%{_lib}/lib*.so.* ; do
       shlib=`echo "$shlib" | sed -e 's,//,/,g'`
       target=`basename "$shlib" | sed -e 's,\.so.*,,g'`.so
       ln -sf $shlib $target
done
popd

# Add soname symlink.
/sbin/ldconfig -n $RPM_BUILD_ROOT/%{_lib}/
rm -f $RPM_BUILD_ROOT/root_marker

# Create /etc/gcrypt (hardwired, not dependent on the configure invocation) so
# that _someone_ owns it.
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/gcrypt

%clean
rm -fr %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/gcrypt.info %{_infodir}/dir
exit 0

%preun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gcrypt.info %{_infodir}/dir
fi
exit 0

%files
%defattr(-,root,root)
%dir /etc/gcrypt
/%{_lib}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/%{name}-config
%{_bindir}/dumpsexp
%{_bindir}/hmac256
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_datadir}/aclocal/*
%{_infodir}/gcrypt.info*

%changelog
* Tue Jun  9 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.4-1m)
- update to 1.4.4

* Sat Mar 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.1-4m)
- do not specify info file compression format

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.1-3m)
- rebuild against rpm-4.6

* Sat Jun 28 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4.1-2m)
- add --enable-static again
-- we still need static library for cyrptsetup-lunks

* Mon Jun  2 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.1-1m)
- update 1.4.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.4-3m)
- rebuild against gcc43

* Mon Mar 26 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.2.4-2m)
- libgcyrpt-devel requires libgpg-error-devel

* Sun Feb 18 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.4-1m)
- update to 1.2.4

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.3-2m)
- delete libtool library

* Thu Oct  5 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.3-1m)
- update to 1.2.3

* Fri May 26 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-3m)
- revise %%files for rpm-4.4.2

* Sun Jan  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-2m)
- BuildPreReq: libgpg-error -> libgpg-error-devel

* Tue Nov  8 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.2.2-1m)
- up to 1.2.2

* Sat Jan 29 2005 TAKAHASHI Tamotsu <tamo>
- (1.2.1-1m)

* Fri May 07 2004 TAKAHASHI Tamotsu <tamo>
- (1.2.0-1m)
- the first stable version
- api changed

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1.12-2m)
- revised spec for enabling rpm 4.2.

* Tue Jan 21 2003 TAKAHASHI Tamotsu
- (1.1.12-1m)
- bugfixes, new functions and manual enhancements
- configure: without --disable-asm
- URL: http://www.gnu.org/directory/security/libgcrypt.html
- doc: one entry per line
- doc: new stuff COPYING.DOC and COPYING.LIB
- doc: doc/ commented out

* Wed Jan 01 2003 TAKAHASHI Tamotsu
- (1.1.11-1m)
- libgcrypt.txt unlisted from files section
- minor changes (MD4, ciphertext stealing, bugfixes, etc)

* Sat Oct 05 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (1.1.10-1m)
- verup
- pre/post are processed in if-fi

* Fri Sep 13 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (1.1.9-1m)
- corrected info (un)installation

* Thu Jul 04 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (1.1.8-1m)
- updated and imported to momonga
- gnu.org/aegypten not found. URL: gnupg.org/
- a dot was needed in info --entry

* Thu May 02 2002 Tamotsu TAKAHASHI <arms405@jade.dti.ne.jp>
- (1.1.6-0k)
- kondarized
- modified summary and description (from libgcrypt.txt)
- added docs
- CC=gcc (for ccache... really needed?)
- added URL tag... where's the page in gnupg.org?
- not committed yet

* Tue Apr  2 2002 Nalin Dahyabhai <nalin@redhat.com> 1.1.6-1
- update to 1.1.6

* Thu Jan 10 2002 Nalin Dahyabhai <nalin@redhat.com> 1.1.5-1
- fix the Source tag so that it's a real URL

* Wed Dec 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- initial package
